Subject: bug#25170: 26.0.50; emacs crashes on using tramp

From: Michael Albinus <[email-masked]>
Date: Sun, 11 Dec 2016 14:28:04 +0100

[email-masked] writes:

Hi Felix,

> At first, i have to say that i'm sorry that I dont use the proper report-emacs-bug system, but I didn't succeed doing that.
> It's really not easy to use this emacs bug-reporting system, and if you want everybody to be able to report bugs, the system should be simpler!

Could you pls tell us in detail what annoys you?

> Anyways, here is the Bug report, if I follow this, emacs crashes every time.
> I use arch linux x86-64
> If i start 'emacs -Q'
> after 'C-x C-f' (find-file) and entering '/ssh:'

For the records, this doesn't happen for me with a todays build of git
master:

GNU Emacs 26.0.50.17 (x86_64-pc-linux-gnu, GTK+ Version 2.24.30)
 of 2016-12-11

I'm running Ubuntu 16.10.

> in the moment I type the colon, emacs crashes with the backtrace:
> Fatal error 11: Segmentation fault
> Backtrace:
> emacs[0x493d25]
> emacs[0x530a17]
> emacs[0x48931e]
> emacs[0x44ba43]
> /usr/lib/libpthread.so.0(+0x11080)[0x7f57f777f080]

Looks like a problem in the concurrency code. Could you, pls, check the
instructions in etc/DEBUG how to retrieve better traces?

Thanks, and best regards, Michael.